const YNBoolConverter = <T extends object>(original: T): T => {
  Object.keys(original).forEach((key) => {
    if (original[key] === "Y") {
      original[key] = true;
    } else if (original[key] === "N") {
      original[key] = false;
    }
  });
  return original;
};

export default YNBoolConverter;
